 

function tdLine1(y,m2,d2) 
{
    //用于在表格中第一行显示的内容
    var sDObj = new Date(y,m2,d2);
    var lDObj = new Lunar(sDObj);
    var cl = '<font color="green" STYLE="font-size:9px;">';  
    //var s= cyclical(lDObj.year-1900+36)+'年 ' ;
    var tt='';

    //tt += cDay(lDObj.month,lDObj.day);
    
    var m = lDObj.month;
    var d = lDObj.day;
    
    var nStr1 = new Array('初','十','廿','卅','　');
    var nStr2 = new Array('日','一','二','三','四','五','六','七','八','九','十');
    var s='';

    switch (d) 
    {
      case 10:s += '初十'; break;
      case 20:s += '二十'; break;
      case 30:s += '三十'; break;
      default:
        s += nStr1[Math.floor(d/10)]; 
        s += nStr2[d%10];
    }
 
    
    if (s=='初一') 
    {
        tt='';
        if (leapMonth(y)== lDObj.month) 
        {
            //判断前面一个阴历月，是否和该月相同，从而判断是否为后闰。
            var sDaysPrevMon = 0;
            if (lDObj.month==1) 
            {
                sDaysPrevMon = monthDays(lDObj.year-1, 12); // GetDaysOfCurrMonth(m-1,y);
            }else
            {
                //阴历一般比阳历落后一个月，所以阴历的上一个月，应该也是阳历的上1个月。
                sDaysPrevMon = monthDays(lDObj.year,   m);
            }  
             
            //获得当前日子，往后数sDaysPrevMon天后，对应的阳历日期。          
            var dayOffset = getDatePrevDays(y,m2,d2,sDaysPrevMon);
 
            var s0 = 0; 
     
            s0 =new Date(dayOffset.year,dayOffset.month,dayOffset.day); 
            var s1 = new Lunar(s0);
            if (s1.month == lDObj.month) 
            {
                //闰月和前一月在阴历上是一致的
                tt  = '闰';            
            }
        } 
    
        if (m>10){s = '十'+nStr2[m-10]; } else {s = nStr2[m];}; 
        s = tt+s+'月初一'; 
    }
    
    return(cl+s+'</font>');
}

function GetDaysOfCurrMonth( nMonth,  nYear)
{
    var bIsLeap = (nYear%400==0) || (nYear%100!=0&& nYear%4==0);

    nMonth = nMonth - (-1);
    var nTotalDays = 0;
    switch (nMonth)
    {
        case 1:
        case 3:
        case 5:
        case 7:
        case 8:
        case 10:
        case 12:
            nTotalDays=31;
            break;

        case 2:
            if (bIsLeap)
            {
                nTotalDays = 29;
            }else
            {
                nTotalDays=28;
            }
            break;

        default:
            nTotalDays=30;
            break;
    }
    return nTotalDays;
}//int GetDaysOfCurrMonth(int nMonth, int nYear)


//获得某月某日前X天，对应的阳历日期,参数必须都为阳历
function getDatePrevDays(y,m,d,dayOffset) 
{
    if (d<dayOffset) 
    { 
        //如果当前日期，还不够你减的，那么剩余的天数到上个月里减
        return getDatePrevDays(y,m-1,GetDaysOfCurrMonth(m-1,y),dayOffset-d); 
    }
    
    if (m<0) 
    {
        return getDatePrevDays(y-1,11,GetDaysOfCurrMonth(11,y-1),dayOffset-d);
    }
    
    if (y<1901) 
    {
        return null;
    }
    
    return {'year':y, 'month':m, 'day':d-dayOffset };
}

function solarDay2(y,m,d)
{
    var sDObj = new Date(y,m,d);
    
 //Comm.$('Div8').innerHTML ='';
 
    var lDObj = new Lunar(sDObj);
    var cl = '<font color="green" STYLE="font-size:9pt;">';  
    var tt = cyclical(lDObj.year-1900+36)+'年 ' ;
    
    if (leapMonth(y)== lDObj.month) 
    {
        //判断前面一个阴历月，是否和该月相同，从而判断是否为后闰。
        var sDaysPrevMon = 0;
        if (lDObj.month==1) 
        {
            sDaysPrevMon = monthDays(lDObj.year-1, 12); // GetDaysOfCurrMonth(m-1,y);
        }else
        {
            //阴历一般比阳历落后一个月，所以阴历的上一个月，应该也是阳历的上1个月。
            sDaysPrevMon = monthDays(lDObj.year,   m);
        }  
         
        //获得当前日子，往后数sDaysPrevMon天后，对应的阳历日期。          
        var dayOffset = getDatePrevDays(y,m,d,sDaysPrevMon);
      

        //Comm.$('Div8').innerHTML ='阴历上月('+(m)+')天数：'+sDaysPrevMon+', '+ dayOffset.day;
       
        var s0 = 0; 
 
        s0 =new Date(dayOffset.year,dayOffset.month,dayOffset.day); 
        var s1 = new Lunar(s0);
        if (s1.month == lDObj.month) 
        {
            //闰月和前一月在阴历上是一致的
            tt += '闰';            
        }
    }
    tt += cDay(lDObj.month,lDObj.day);
    
    return(cl+tt+'</font>');
}


function tdLine2(y,m,d) 
{
    var lFtv = new Array(
    "0101*春节",
    "0115 元宵节",
    "0505 端午节",
    "0707 七夕情人节",
    "0715 中元节",
    "0815 中秋节",
    "0909 重阳节",
    "1208 腊八节",
    "1224 小年",
    "0100*除夕");

    //用于在表格中第二行显示的内容，主要显示节日，节气
    var sDObj = new Date(y,m,d);
    var lDObj = new Lunar(sDObj);
    //var cl = '<font color="#FF0000" STYLE="font-size:9px;">';  
 
    var tt='';
    var s='';
    
    var festival='',solarTerms='',sFtvName='',lFtvName='',tmp1,tmp2;
    //农历节日 
    for(i in lFtv)
    {
      var sTmp = lFtv[i].toString();
      if(sTmp.match(/^(\d{2})(.{2})([\s\*])(.+)$/)) 
      {
       tmp1=Number(RegExp.$1)-lDObj.month;
       tmp2=Number(RegExp.$2)-lDObj.day;
       if(tmp1==0 && tmp2==0)
       {
         lFtvName='<font color="#FF0000" STYLE="font-size:9px;">'+RegExp.$4+'</font>'; 
         
         tt += lFtvName + '&nbsp;';
         break;   
       } 
      }     
    }

      
var sFtv = new Array(
"0101*元旦",
"0214 情人节",
"0303 爱耳日",
"0305 青年志愿者服务日",
"0307 女生节",
"0308 妇女节",
"0312 植树节",
"0314 白色情人节",
"0314 国际警察日",
"0315 消费者权益日",
"0321 世界森林日,睡眠日",
"0322 世界水日",
"0323 世界气象日",
"0324 世界防治结核病日",
"0401 愚人节",
"0404 清明节",
"0407 世界卫生日",
"0422 世界地球日",
"0426 世界知识产权日",
"0501 劳动节",
"0503 世界哮喘日",
"0504 青年节",
"0508 世界红十字日,世界微笑日",//5月8日 世界红十字日 1948 
"0512 护士节",
"0515 国际家庭日",
"0531 世界无烟日",
"0601 儿童节",
"0605 世界环境日",
"0606 全国爱眼日",
"0611 中国人口日", 
"0617 世界防止荒漠化和干旱日", 
"0620 世界难民日",//6月20日 世界难民日 2001 
"0623 国际奥林匹克日",
"0625 全国土地日",
"0626 国际禁毒日",
"0701 建党节 香港回归纪念",
"0707 抗日战争纪念日",
"0711 世界人口日",
"0801 建军节",
"0806 国际电影节",//8月6日 国际电影节 1932 
"0808 中国男子节",//8月8日 中国男子节(爸爸节) 1988 
"0812 国际青年节",
"0815 日本投降日",//8月15日 日本正式宣布无条件投降日 1945 
"0903 中国抗日战争胜利纪念日",//9月3日 中国抗日战争胜利纪念日 1945 
"0908 国际扫盲日",
"0909 毛席逝世纪念",
"0910 教师节",
"0916 中国脑健康日,国际臭氧层保护日",
"0918 九·一八事变纪念日,中国国耻日",// 9月18日 "九·一八"事变纪念日(中国国耻日) 1931 
"0920 全国爱牙日",
"0921 世界停火日",
"0927 世界旅游日",
"0928 孔子诞辰",
"1001*国庆节",
"1006 老人节",
"1016 世界粮食日", 
"1017 国际消除贫困日",
"1024 联合国日",
"1031 万圣节",
"1108 中国记者节",
"1112 孙中山诞辰",
"1201 艾滋病日",
"1203 世界残疾人日",
"1213 南京大屠杀悼念日",
"1220 澳门回归纪念",
"1225 圣诞节",
"1226 毛席诞辰");
    
      //国历节日
      for(i in sFtv)
      if(sFtv[i].toString().match(/^(\d{2})(\d{2})([\s\*])(.+)$/))
      {
           tmp1=Number(RegExp.$1)-(m+1);
           tmp2=Number(RegExp.$2)-d;
           if(tmp1==0 && tmp2==0)
           {
                sFtvName = '<font color="#FF6600" STYLE="font-size:9px;">'+RegExp.$4+'</font>'; 
                tt += sFtvName+ '&nbsp;';
                break;
           } 
      }
 	
      //节气
      var sTermInfo = new Array(0,21208,42467,63836,85337,107014,128867,150921,173149,195551,218072,240693,263343,285989,308563,331033,353350,375494,397447,419210,440795,462224,483532,504758);
      var solarTerm = new Array("小寒","大寒，水瓶座","立春","雨水，双鱼座","惊蛰","春分，白羊座","清明","谷雨，金牛座","立夏","小满，双子座","芒种","夏至，巨蟹座","小暑","大暑，狮子座","立秋","处暑，处女座","白露","秋分，天秤座","寒露","霜降，天蝎座","立冬","小雪，射手座","大雪","冬至，魔羯座");

      //http://zh.wikipedia.org/wiki/%E9%BB%83%E9%81%93%E5%8D%81%E4%BA%8C%E5%AE%AE 星座

      tmp1 = new Date((31556925974.7*(y-1900)+sTermInfo[m*2+1]*60000)+Date.UTC(1900,0,6,2,5));
      tmp2 = tmp1.getUTCDate();
      if (tmp2==d)
      {
         solarTerms = '<font color="#FF9900" STYLE="font-size:9px;">'+solarTerm[m*2+1]+'</font>';
         tt += solarTerms+ '&nbsp;';
      }

      tmp1 = new Date((31556925974.7*(y-1900)+sTermInfo[m*2]*60000)+Date.UTC(1900,0,6,2,5));
      tmp2= tmp1.getUTCDate();
      if (tmp2==d)
      {
         solarTerms = '<font color="#FF9900" STYLE="font-size:9px;">'+solarTerm[m*2]+'</font>';
         tt += solarTerms+ '&nbsp;';     
      }
  
      
    //春分月圆后的第一个星期日 复活节(一般是3月22日-4月25日间的任一天) 
    //某月第几个星期几
    //起始年(4位)+月(2位)+第几个(1位)+星期几(1位)
    var wFtv=new Array(
    "19860430 世界儿童日",
    "19000530 全国助残日",
    "19140520 母亲节",
    "19340630 父亲节",
    "19000932 国际和平日",
    "19000936 全国国防教育日",
    "19000940 国际聋人节",
    "19001024 世界爱眼日",
    "18631144 感恩节");  
    
    for(i in wFtv)
    if(wFtv[i].toString().match(/^(\d{4})(\d{2})(\d{1})(\d{1})([\s\*])(.+)$/))
    {
      tmp1 = parseInt(RegExp.$2, 10);
      if (tmp1 == m+1) 
      { 
          //将第几个星期几转换为该月的多少日
          var nWeek  =  parseInt(RegExp.$3, 10);
          var nDay   = parseInt(RegExp.$4, 10);
          
          var currDate = new Date(SY,SM,1);
        
          var startWeek = currDate.getDay();//0表示周日 

          nDay=(nWeek)*7+nDay - startWeek+1;
          if (nDay == d) 
          {
                tt += '<font color="#005AFE" STYLE="font-size:9px;">'+RegExp.$6+'</font>'+ '&nbsp;';
          }
      }
    }
    
    if (tt=='') 
    {
        tt='&nbsp;';//即使什么节日都不是，你也要给老子把空留起。
    }
    
    return( tt+s );
}

/*
function solarDay3(y,m,d)
{
var sTermInfo = new Array(0,21208,42467,63836,85337,107014,128867,150921,173149,195551,218072,240693,263343,285989,308563,331033,353350,375494,397447,419210,440795,462224,483532,504758);

var solarTerm = new Array("小寒","大寒","立春","雨水","惊蛰","春分","清明","谷雨","立夏","小满","芒种","夏至","小暑","大暑","立秋","处暑","白露","秋分","寒露","霜降","立冬","小雪","大雪","冬至");

var lFtv = new Array(
"0101*春节",
"0115 元宵节",
"0505 端午节",
"0707 七夕情人节",
"0715 中元节",
"0815 中秋节",
"0909 重阳节",
"1208 腊八节",
"1224 小年",
"0100*除夕");

//某月第几个星期几
//起始年(4位)+月(2位)+第几个(1位)+星期几(1位)
var wFtv=new Array(
"19140520 母亲节",
"19340630 父亲节",
"18631144 感恩节");

var sFtv = new Array(
"0101*元旦",
"0214 情人节",
"0307 女生节",
"0308 妇女节",
"0312 植树节",
"0315 消费者权益日",
"0401 愚人节",
"0501 劳动节",
"0504 青年节",
"0512 护士节",
"0601 儿童节",
"0701 建党节 香港回归纪念",
"0801 建军节",
"0808 父亲节",
"0909 毛席逝世纪念",
"0910 教师节",
"0928 孔子诞辰",
"1001*国庆节",
"1006 老人节",
"1024 联合国日",
"1112 孙中山诞辰",
"1220 澳门回归纪念",
"1225 圣诞节",
"1226 毛席诞辰");

  var sDObj = new Date(y,m,d);
  var lDObj = new Lunar(sDObj);
  var lDPOS = new Array(3)
  var festival='',solarTerms='',solarFestival='',lunarFestival='',tmp1,tmp2;
  //农历节日 
  for(i in lFtv)
  {
     var sTmp = lFtv[i].toString();
      if(sTmp.match(/^(\d{2})(.{2})([\s\*])(.+)$/)) 
      {
       tmp1=Number(RegExp.$1)-lDObj.month;
       tmp2=Number(RegExp.$2)-lDObj.day;
       if(tmp1==0 && tmp2==0) lunarFestival=RegExp.$4; 
      }     
  }

  
  //国历节日
  for(i in sFtv)
  if(sFtv[i].toString().match(/^(\d{2})(\d{2})([\s\*])(.+)$/))
  {
   tmp1=Number(RegExp.$1)-(m+1);
   tmp2=Number(RegExp.$2)-d;
   if(tmp1==0 && tmp2==0) solarFestival = RegExp.$4; 
  }
  
  //节气
  tmp1 = new Date((31556925974.7*(y-1900)+sTermInfo[m*2+1]*60000)+Date.UTC(1900,0,6,2,5))
  tmp2 = tmp1.getUTCDate()
  if (tmp2==d) solarTerms = solarTerm[m*2+1]  
  tmp1 = new Date((31556925974.7*(y-1900)+sTermInfo[m*2]*60000)+Date.UTC(1900,0,6,2,5))
  tmp2= tmp1.getUTCDate()
  if (tmp2==SD) solarTerms = solarTerm[m*2] 

  if(solarTerms == '' && solarFestival == '' && lunarFestival == '')
    festival = '';
  else
    festival = '<TABLE WIDTH=100% BORDER=0 CELLPADDING=2 CELLSPACING=0 BGCOLOR="#CCFFCC"><TR><TD align=center><marquee direction=left scrolldelay=120 behavior=alternate>'+
    '<FONT COLOR="#FF33FF" STYLE="font-size:9pt;"><b>'+solarTerms + ' ' + solarFestival + ' ' + lunarFestival+'</b></FONT></marquee></TD>'+
    '</TR></TABLE>';
         
  var cl = '<font color="green" STYLE="font-size:9pt;">';
  return(cl+festival+'</font>');
}
*/

//显示当前时间
function CurentTime() 
{ 
    var now = new Date(); 
    var hh = now.getHours(); 
    var mm = now.getMinutes(); 
    var ss = now.getTime() % 60000; 
    ss = (ss - (ss % 1000)) / 1000; 
    
    if (hh == 0 && mm == 0 && ss == 0) 
    {
        //一天过去了，我需要更新整个万年历。
        UpdateDate();
    }
    
    var clock = hh+':'; 
    if (mm < 10) clock += '0'; 
    clock += mm+':'; 
    if (ss < 10) clock += '0'; 
    clock += ss; 
    return(clock); 
}

 
 
var oClockTime=null;
function refreshCalendarClock() 
{
     oClockTime.innerHTML = CurentTime();
}

var oMainTbl = Comm.$('dateTbl');
var oyearSel=null;
var omonSel =null;
var onlYearSpan=null;  
var odayView =null;
//
function ShowDayView(oTd) 
{
    odayView.style.display='block';
    var oDiv6 = Comm.$('Div6');
    var oDiv7 = Comm.$('Div7');
    var oDiv8 = Comm.$('Div8');
    var oDiv9 = Comm.$('Div9');
    var oDiv10 = Comm.$('Div10');
    
    
    var nDayViewWidth = odayView.clientWidth+3;//.split('px')[0];
    var nDayViewHeight = odayView.clientHeight+3;//.split('px')[0];
    
    var oTdOffset = Comm.GetObjOffset(oTd); 
    
    oDiv6.innerHTML=  solarDay2(oTd.y,oTd.m,oTd.d);//YYMMDD(oTd.y,oTd.m,oTd.d);//
    oDiv7.innerHTML=  weekday(oTd.y,oTd.m,oTd.d);   
    oDiv8.innerHTML=  solarDay1(oTd.y,oTd.m,oTd.d);
    oDiv9.innerHTML=  solarDay2(oTd.y,oTd.m,oTd.d);
    oDiv10.innerHTML=  tdLine2(oTd.y,oTd.m,oTd.d);
    
        
    var nLeft = oTdOffset.right - nDayViewWidth;
    var nTop  = oTdOffset.bottom+1;//.split('px')[0]; 

    
    var nMaxX =  oMainTbl.scrollWidth;
    var nMaxY =  oMainTbl.scrollHeight;
    
    var nTdWidth = odayView.style.width;//150;
    var nTdHeight = odayView.style.height;//200;
    
    //最后锁定left,top,必须在odayView的范围内。
    if (nLeft<0) 
    {
        nLeft =0;
    }
    else if (nLeft +nTdWidth >nMaxX-5) 
    {
        nLeft =nMaxX -5- nTdWidth;
    }  
    if(nTop > 615)
    {
        nTop -=  oTdOffset.bottom - oTdOffset.top;
        nTop -=  nDayViewHeight+3;
    } 
    odayView.style.left  = nLeft;
    odayView.style.top   = nTop; 
}


function HideDayView(oTd) 
{
    odayView.style.display='none';
}

function UpdateSpecialTd(y,m,d) 
{
    oDiv1.innerHTML = YYMMDD(y,m,d);
    
    oDiv2.innerHTML = weekday(y,m,d);
   
    oDiv3.innerHTML = solarDay1(y,m,d) ;

    oDiv4.innerHTML =  solarDay2(y,m,d);

    oDiv5.innerHTML =  /*solarDay3*/tdLine2(y,m,d);
}

var gClickTd;

function UpdateDate() 
{
    UpdateSpecialTd(SY,SM,SD);
    
    onlYearSpan  = Comm.$('nlYearSpan');
    onlYearSpan.innerHTML = nlYearMonth(SY,SM,SD);
    
    //获得 该月1号是周几
    var currDate = new Date(SY,SM,1);
    
    var startWeek = currDate.getDay();//0表示周日 
    //获得 该月共有多少天
    var nMonDays = GetDaysOfCurrMonth(SM,SY);
    
    //知道开始于星期几，知道该月共多少天，我就可以填表格了
    for(var i=0;i<6;i++)
    {
        for(var j=0;j<7;j++)
        {
	        var oTd = Comm.$('td'+(-(-j)-(-(i*7)))); 
	        
            oTd.onmouseover =null; 
            oTd.onmouseout =null;
            oTd.onclick =null;              
            oTd.innerHTML='';
            oTd.className="normalday"; 
//	        if (j==0 || j==6) 
//	        {
//	            oTd.className='perfectday';	
//	        }else
//	        {
//	            oTd.className='day';	        
//	        }
        }
    }//for
    
    var s;
    for(var i=startWeek,j=1;i<startWeek+nMonDays;i++,j++)
    {
        var oTd = Comm.$('td'+i);
        
        oTd.onmouseover =function () 
        {
            var s = this.className;
            if (s.indexOf(' tdOver')==-1) 
            {
                this.className=s+' tdOver';
            }
           ShowDayView(this);
        }
        
        oTd.onmouseout =function () 
        {
            var s = this.className;
            if (s.indexOf(' tdOver')!=-1) 
            {
                s  = s.substr(0,s.length-7);
                this.className=s;
            }
           //alert(this.className);
           HideDayView(this);
        }
        
        oTd.onclick=function () 
        {
            if (gClickTd && gClickTd.id == this.id) 
            {
               return;
            }
            //既然都click了，一定已经mouseover了，所以类名className一定带了over    
            var s;            
            if (gClickTd) 
            {
                s = gClickTd.className;  
                if (s.indexOf(' tdOver')!=-1) 
                {
                    s  = s.substr(0,s.length-7);
                }
                
                if (s.indexOf(' tdFocus')!=-1) 
                {
                    s  = s.substr(0,s.length-8);
                    gClickTd.className=s;
                }            
            }
            
            s = this.className; 
            if (s.indexOf(' tdOver')!=-1) 
            {
                s  = s.substr(0,s.length-7);
            }
            
            if (s.indexOf(' tdFocus')==-1) 
            {
                this.className=s+' tdFocus';
            }     
            UpdateSpecialTd(this.y,this.m,this.d);
            gClickTd =  this;
        }   
             
        oTd.y = SY;
        oTd.m = SM;
        oTd.d = j;
        
        s = j;
        s +="<br/>";
        s += tdLine1(SY,SM,j);//solarDay1(SY,SM,j);
        s +="<br/>";
        s += tdLine2(SY,SM,j);//solarDay1(SY,SM,j);
        if (i%7 ==0 || i%7 ==6) 
        {
            oTd.className='perfectday';	
            oTd.innerHTML = '<span style="color:#f00">'+s+'</span>';        
        }else
        {
            oTd.innerHTML = s;           
        }
        
        //如果当前TD，对应的是当天的日期，那么我需要修改其class
        var now = new Date();
        var nowY = now.getFullYear();//getFullYear保证了版本兼容性 now.getYear(); 
        var nowM = now.getMonth();//返回一个处于 0 到 11 之间的整数，它代表 Date 对象中的月份值
        var nowD = now.getDate();  
              
        if (nowY == oTd.y 
        && nowM == oTd.m
        && nowD == oTd.d
        ) 
        {
            oTd.className='today';
        }
    }
}    

function CreateTable() 
{
    var oTbl = oMainTbl;//Comm.$('dateTbl');
  
    for(var i=0;i<6;i++)
    {
        var newTr = oTbl.insertRow(-1);
        for(var j=0;j<7;j++)
        {
	        var oCel0 = newTr.insertCell(-1);//域名
	        oCel0.innerHTML ='';//域名 

//	        if (j==0 || j==6) 
//	        {
//	            oCel0.className='perfectday';	
//	        }else
//	        {
//	            oCel0.className='day';	        
//	        }
	        oCel0.className='normalday';
	         
	        
	        oCel0.id= 'td'+(-(-j)-(-(i*7)));  
        }
    }//for
 
 
}
    

Comm.ReadyDoc(function () 
{

    odayView = Comm.$('dayView');
    oMainTbl = Comm.$('dateTbl');
    
    oDiv1 = Comm.$('Div1');
    oDiv2 = Comm.$('Div2');
    oDiv3 = Comm.$('Div3');
    oDiv4 = Comm.$('Div4');
    oDiv5 = Comm.$('Div5');
      
    CreateTable();    
  
    oClockTime  = Comm.$('ClockTime');
    
    now = new Date();
    SY = now.getFullYear();//getFullYear保证了版本兼容性 now.getYear(); 
    SM = now.getMonth();//返回一个处于 0 到 11 之间的整数，它代表 Date 对象中的月份值
    SD = now.getDate();//返回值是一个处于 1 到 31 之间的整数
 
    oyearSel= Comm.$('yearSel');
    oyearSel.options.length=0;
    for(var i=1901;i<2051;i++)
    {
        //var oP = document.createElement('option');
        //oP.value=i;
        //oP.text =i;
        //oyearSel.appendChild(oP);
        var oP = new Option(i,i);
        if (SY==i) 
        {
            oP.selected=true;
        }
        oyearSel.options.add(oP);
    }
    
    omonSel = Comm.$('monSel');
    omonSel.options.length =0;
    for(var i=1;i<13;i++)
    {
        var oP = new Option(i,i);
        if(SM+1 ==i)
        {
            oP.selected=true;
        }
        omonSel.options.add(oP);
    }
    
    onlYearSpan  = Comm.$('nlYearSpan');
    
    UpdateDate(); 
    //
            
//    setTimeout(function () 
//    {
       setInterval('refreshCalendarClock()',1000);//1秒钟刷新1次当前时间 
//    },2000);

});

function yearSelChg() 
{
 
    SY = oyearSel.selectedIndex +1901;
    SM = omonSel.selectedIndex;
    UpdateDate();

}

function monSelChg() 
{
 
    SY = oyearSel.selectedIndex +1901;
    SM = omonSel.selectedIndex;
    UpdateDate();
}
